#ifndef __TEST_H__
#define __TEST_H__

#include "openssl/bio.h"
#include "openssl/err.h"
#include "openssl/engine.h"
#include "openssl/evp.h"

#define BUF_SIZE (1024 * 1024)
pthread_t tid[16];
uint8_t randomdata[8][BUF_SIZE] = { 0 };

volatile int multestsize = 0;
volatile long multestnum[8][8] = { { 0 } };
volatile int running = 1;

int test_sm2_en = 0;
int test_sm2_de = 0;
int test_sm2_sign = 0;
int test_sm2_verify = 0;
int test_sm2_key = 0;
int test_sm2_pubkey = 0;
int test_sm2_exchangekey = 0;

int test_sm3_dgst = 0;
int test_sm3_hmac = 0;
int test_sm4_cbc = 0;
int test_sm4_ecb = 0;
int test_sm4_ctr = 0;
int test_kernel_sm4_cbc = 0;

int test_time = 0;
int thread_num = 1;
int test_num = 1;
int start_size = 1;
int test_size = 64;
int printf_data = 0;
int test_func = 0;

#endif
