#ifndef __LIB_SM3_PHYTIUM_H__
#define __LIB_SM3_PHYTIUM_H__

/*SM3 digest and block length*/
#define SM3_DIGEST_WORD_LEN   (8)
#define SM3_DIGEST_BYTE_LEN   (32)
#define SM3_BLOCK_WORD_LEN    (16)
#define SM3_BLOCK_BYTE_LEN    (64)

/*API*/
int phytium_scto_sm3_init(int *desc_id);
int phytium_scto_sm3_update(int desc_id, const uint8_t *data, unsigned int len);
int phytium_scto_sm3_final(int desc_id, uint8_t *out);
#endif
