#ifndef _TEST_TEST_H_
#define _TEST_TEST_H_

extern char *alg;
extern u32 slen;
extern u32 elen;
extern u32 secs;
extern u32 speed;

extern u32 multi;

#define get_driver_name(tfm_type, tfm) \
	crypto_tfm_alg_driver_name(tfm_type##_tfm(tfm))

extern void sm3_test(void);
extern void hmac_test(void);
extern void sm3_speed(u32 secs);
extern void hmac_sm3_speed(u32 secs);
extern void sm4_ctr_test(void);
extern void sm4_cbc_test(void);
extern void sm4_ecb_test(void);
extern void sm4_speed_test(char *alg, int secs);
extern void sm2_speed(int secs);

void print_buf(u8 *name, u8 *buf, u32 len);

#endif