/* SPDX-License-Identifier: GPL-2.0 */
#ifndef __SCE_H__
#define __SCE_H__

#define SCE_DRIVER_VERSION "1.6.0"

extern struct sce_module_context *sce;
struct sce_module_context {
	struct device *dev;
	void *base; // base vaddr for regs
	u64 base_ioaddr; // resource start
};

enum SCE_DRIVER_WORK_STATE {
	ON = 0,
	OFF = 1,
};

enum SCE_PROC_WORK_STATE {
	OFF_MODE = 0,
	KERNEL_MODE = 1,
	DRIVER_MODE = 2,
};

#endif
