/* SPDX-License-Identifier: GPL-2.0 */
#ifndef __SCE_KERNEL_H__
#define __SCE_KERNEL_H__

struct sce_kernel {
	spinlock_t trng_lock;
	spinlock_t trng_sm4_lock;
	spinlock_t hash_lock;
	u8 reserve[CACHE_LINE_SIZE];
	spinlock_t cipher_lock;
	u8 reserve1[CACHE_LINE_SIZE];
	u32 *base;
};

extern struct sce_kernel sce_kernel;
extern u64 iv_paddr;
#endif
